<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon May 18 20:28:04 EEST 2020 -->
<title>IRestaurantProcessing</title>
<meta name="date" content="2020-05-18">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="IRestaurantProcessing";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../Model/Chef.html" title="class in Model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../Model/Observable.html" title="interface in Model"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?Model/IRestaurantProcessing.html" target="_top">Frames</a></li>
<li><a href="IRestaurantProcessing.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">Model</div>
<h2 title="Interface IRestaurantProcessing" class="title">Interface IRestaurantProcessing</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../Model/Restaurant.html" title="class in Model">Restaurant</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">IRestaurantProcessing</span></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Model/IRestaurantProcessing.html#createMenuItem-Model.menuitems.MenuItem-">createMenuItem</a></span>(<a href="../Model/menuitems/MenuItem.html" title="interface in Model.menuitems">MenuItem</a>&nbsp;m)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../Model/Order.html" title="class in Model">Order</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Model/IRestaurantProcessing.html#createNewOrder-int-java.lang.String-int-Model.menuitems.CompositeProduct-">createNewOrder</a></span>(int&nbsp;id,
              java.lang.String&nbsp;date,
              int&nbsp;table,
              <a href="../Model/menuitems/CompositeProduct.html" title="class in Model.menuitems">CompositeProduct</a>&nbsp;itemsOrdered)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Model/IRestaurantProcessing.html#deleteMenuItem-Model.menuitems.MenuItem-">deleteMenuItem</a></span>(<a href="../Model/menuitems/MenuItem.html" title="interface in Model.menuitems">MenuItem</a>&nbsp;m)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Model/IRestaurantProcessing.html#editMenuItem-int-java.lang.String-double-">editMenuItem</a></span>(int&nbsp;index,
            java.lang.String&nbsp;nume,
            double&nbsp;price)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Model/IRestaurantProcessing.html#generateBill-Model.Order-">generateBill</a></span>(<a href="../Model/Order.html" title="class in Model">Order</a>&nbsp;o)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../Model/menuitems/CompositeProduct.html" title="class in Model.menuitems">CompositeProduct</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Model/IRestaurantProcessing.html#getMenu--">getMenu</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../Model/Order.html" title="class in Model">Order</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Model/IRestaurantProcessing.html#getOrders--">getOrders</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="createMenuItem-Model.menuitems.MenuItem-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createMenuItem</h4>
<pre>void&nbsp;createMenuItem(<a href="../Model/menuitems/MenuItem.html" title="interface in Model.menuitems">MenuItem</a>&nbsp;m)</pre>
</li>
</ul>
<a name="deleteMenuItem-Model.menuitems.MenuItem-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteMenuItem</h4>
<pre>void&nbsp;deleteMenuItem(<a href="../Model/menuitems/MenuItem.html" title="interface in Model.menuitems">MenuItem</a>&nbsp;m)</pre>
</li>
</ul>
<a name="editMenuItem-int-java.lang.String-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>editMenuItem</h4>
<pre>void&nbsp;editMenuItem(int&nbsp;index,
                  java.lang.String&nbsp;nume,
                  double&nbsp;price)</pre>
</li>
</ul>
<a name="getMenu--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMenu</h4>
<pre><a href="../Model/menuitems/CompositeProduct.html" title="class in Model.menuitems">CompositeProduct</a>&nbsp;getMenu()</pre>
</li>
</ul>
<a name="getOrders--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOrders</h4>
<pre>java.util.ArrayList&lt;<a href="../Model/Order.html" title="class in Model">Order</a>&gt;&nbsp;getOrders()</pre>
</li>
</ul>
<a name="createNewOrder-int-java.lang.String-int-Model.menuitems.CompositeProduct-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createNewOrder</h4>
<pre><a href="../Model/Order.html" title="class in Model">Order</a>&nbsp;createNewOrder(int&nbsp;id,
                     java.lang.String&nbsp;date,
                     int&nbsp;table,
                     <a href="../Model/menuitems/CompositeProduct.html" title="class in Model.menuitems">CompositeProduct</a>&nbsp;itemsOrdered)</pre>
</li>
</ul>
<a name="generateBill-Model.Order-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>generateBill</h4>
<pre>void&nbsp;generateBill(<a href="../Model/Order.html" title="class in Model">Order</a>&nbsp;o)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../Model/Chef.html" title="class in Model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../Model/Observable.html" title="interface in Model"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?Model/IRestaurantProcessing.html" target="_top">Frames</a></li>
<li><a href="IRestaurantProcessing.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
